<?php //$Id$

class profile_field_text extends profile_field_base {

    function edit_field_add(&$mform) {
        $size = $this->field->param1;
        $maxlength = $this->field->param2;
        $fieldtype = ($this->field->param3 == 1 ? 'password' : 'text');

        /// Create the form field
// (Shirai108): ユーザプロファイルフィールドの各項目の説明をポップアップ表示可能とする(2008/12/18)
// (Shirai108): ここからコメントアウト
//      $mform->addElement($fieldtype, $this->inputname, format_string($this->field->name), 'maxlength="'.$maxlength.'" size="'.$size.'" ');
// (Shirai108): ここから追加
        if (fs_function_enable('FS_ENABLE_POPUP_USERPROFILEDESCRIPTION')) {
            $pre  = '<SPAN TITLE="'.format_string($this->field->description).'">';
            $post = '</SPAN>';
        } else {
            $pre = $post = '';
        }
        $mform->addElement($fieldtype, $this->inputname, $pre.format_string($this->field->name).$post, 'maxlength="'.$maxlength.'" size="'.$size.'" ');
// (Shirai108): ここまで追加
        $mform->setType($this->inputname, PARAM_MULTILANG);
    }

}

?>
